#
# spec file for package python-pilkit
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pilkit
Version:        3.0
Release:        1.2
Summary:        A collection of utilities and processors for the Python Imaging Libary
License:        BSD-3-Clause
URL:            https://github.com/matthewwithanm/pilkit/
Source:         https://files.pythonhosted.org/packages/source/p/pilkit/pilkit-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Pillow}
BuildRequires:  %{python_module pytest}
# /SECTION
Requires:       python-Pillow
%python_subpackages

%description
PILKit is a collection of utilities for working with PIL (the Python Imaging
Library).

One of its main features is a set of **processors** which expose a simple
interface for performing manipulations on PIL images.

%prep
%setup -q -n pilkit-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/pilkit
%{python_sitelib}/pilkit-%{version}*-info

%changelog
* Thu Oct  5 2023 Markéta Machová <mmachova@suse.com>
- Update to 3.0
  * Create Convert processor and GaussianBlur processor
  * Updating histogram entropy implementations
  * Make processors.Resize more memory-efficient
  * Added WebP as a transparency format
  * Use pytest instead of nose
  * Make it compatible with Pillow10
  * test: use unittest.mock instead of mock
- Drop merged patches:
  * switch-to-pytest.patch
  * python-pilkit-no-mock.patch
  * pil-fix-test.patch
* Wed Apr  6 2022 pgajdos@suse.com
- do not require python-mock for build
- added patches
  fix https://github.com/matthewwithanm/pilkit/issues/54
  + python-pilkit-no-mock.patch
* Mon Sep  6 2021 Steve Kowalik <steven.kowalik@suse.com>
- Add switch-to-pytest.patch:
  * Switch to using pytest, rather than nose.
* Tue Jun  1 2021 pgajdos@suse.com
- %%check: use %%pytest rpm macro
* Fri Jan 18 2019 Tomáš Chvátal <tchvatal@suse.com>
- Add patch to fix tests with new PIL (due to ordering there were
  2 png returns and randomly on py2 it could return apng instead
  of just png:
  * pil-fix-test.patch
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sat Nov 18 2017 tbechtold@suse.com
- Initial packaging (version 2.0.0)
